; ############  DIRECTOR AND EVENT CHANGES  ###########
; =====================================================
; ==          DIRECTOR & EVENT MODIFICATION          ==
; ==       Modify director behaviour and events      ==
; =====================================================


; ################  ITEM SPAWN CHANGES  ###############
; =====================================================
; ==                  SAFEROOM ITEMS                 ==
; ==    Saferoom item spawns - ammo piles, weapons   ==
; =====================================================

; =====================================================
; ==           PILL / ITEM / WEAPON SPAWNS           ==
; ==   Remove or change pill, item & weapon spawns   ==
; =====================================================
filter:
; --- Removed 2 pill spawns outside the saferoom
{
	"hammerid" "2131772"
}
{
	"hammerid" "2131838"
}
; --- Remove 1 pill spawn from the dark room under the bus drop where 2 sets could spawn together
{
	"hammerid" "2131752"
}
; --- Remove some templates that force sets of items to spawn in the trailer drop house
filter:
{
	"targetname" "case_chopdoor"
}
; --- Remove extra pill spawns on table in trailer drop house so that only 1 pill can spawn on the table
{
	"hammerid" "2131824"
}
{
	"hammerid" "2131766"
}
; --- Remove some useless item spawns at the very end of the map
{
	"hammerid" "2131806"
}
{
	"hammerid" "2131814"
}
{
	"hammerid" "2131790"
}
{
	"hammerid" "2131832"
}

; =====================================================
; ==                STATIC AMMO PILES                ==
; ==          Add or modify ammo pile spawns         ==
; =====================================================
add:
; --- Ammo pile in trailer before stairs leading to the drop
{
	"classname" "weapon_ammo_spawn"
	"origin" "4431 2844 54"
	"angles" "0 0 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
; --- Make ammo pile in attic always spawn
{
	"classname" "weapon_ammo_spawn"
	"origin" "3290 381 192"
	"angles" "0 105 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
; --- Stop the original spawn from creating ammo piles
modify:
{
	match:
	{
		"hammerid" "2131778"
	}
	replace:
	{
		"item1" "0"
	}
}
; --- Make ammo pile on table before the drop always spawn
add:
{
	"classname" "weapon_ammo_spawn"
	"origin" "3569 833 65"
	"angles" "0 0 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
; --- Remove the original spawn
filter:
{
	"hammerid" "2131816"
}
; --- Stop the 2 nearby spawns from being ammo piles
modify:
{
	match:
	{
		"hammerid" "2131776"
	}
	replace:
	{
		"item1" "0"
	}
}
{
	match:
	{
		"hammerid" "2131818"
	}
	replace:
	{
		"item1" "0"
	}
}

; =====================================================
; ==                 HITTABLE CHANGES                ==
; ==           Add/remove/modify hittables           ==
; =====================================================


; #############  MAP CLIPPING AND ISSUES  #############
; =====================================================
; ==                 EXPLOITS BLOCKED                ==
; ==      Block intentionally performed exploits     ==
; =====================================================
add:
; --- Block survivors from standing on the fence by the saferoom
{
	"classname" "env_physics_blocker"
	"origin" "6092 8456 404"
	"angles" "0 -5.5 0"
	"mins" "-116 -4 -236"
	"maxs" "116 4 236"
	"boxmins" "-116 -4 -236"
	"boxmaxs" "116 4 236"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from climbing electrical box by the shack
{
	"classname" "env_physics_blocker"
	"origin" "4802 3750 320"
	"mins" "-30.5 -5.5 -320"
	"maxs" "30.5 5.5 320"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the shack
{
	"classname" "env_physics_blocker"
	"origin" "4633 4250 404"
	"mins" "-143 -102 -236"
	"maxs" "143 102 236"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4671 4113 412"
	"mins" "-173 -39 -228"
	"maxs" "173 39 228"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4490 4146 412"
	"mins" "-9 -3 -228"
	"maxs" "9 3 228"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "4659 4010 412"
	"mins" "-185 -65 -228"
	"maxs" "185 65 228"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the trailer before the stairs
{
	"classname" "env_physics_blocker"
	"origin" "4432 3028 404"
	"mins" "-72 -260 -236"
	"maxs" "72 260 236"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the fence before the stairs by the trailer
{
	"classname" "env_physics_blocker"
	"origin" "3911.5 3008 320"
	"mins" "-3.5 -128 -320"
	"maxs" "3.5 128 320"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from climbing the burned down building by the trailer drop
{
	"classname" "env_physics_blocker"
	"origin" "2366 2465 335"
	"mins" "-64 -11 -305"
	"maxs" "64 11 305"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2390 2213 404"
	"mins" "-37 -8 -236"
	"maxs" "37 8 236"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2210 2231 404"
	"mins" "-41 -11 -236"
	"maxs" "41 11 236"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2321 1942 404"
	"mins" "-57 -4 -236"
	"maxs" "57 4 236"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2106 1957 404"
	"mins" "-57 -4 -236"
	"maxs" "57 4 236"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2056 2164 404"
	"mins" "-8 -203 -236"
	"maxs" "8 203 236"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from climbing the 2nd burned down building by the trailer drop
{
	"classname" "env_physics_blocker"
	"origin" "1924 1252 416"
	"mins" "-4 -114 -224"
	"maxs" "4 114 224"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2289 1355 96"
	"mins" "-9 -4 -64"
	"maxs" "9 4 64"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2238 1369 96"
	"mins" "-4 -9 -64"
	"maxs" "4 9 64"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2125 1369 96"
	"mins" "-4 -9 -64"
	"maxs" "4 9 64"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the green dumpster by the trailer drop
{
	"classname" "env_physics_blocker"
	"origin" "3165.5 1889 376"
	"mins" "-192.5 -64 -264"
	"maxs" "192.5 64 264"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the truck behind the sewer ladder
{
	"classname" "env_physics_blocker"
	"origin" "5831 1150 480"
	"angles" "0 210 0"
	"mins" "-44 -38 -480"
	"maxs" "44 38 480"
	"boxmins" "-44 -38 -480"
	"boxmaxs" "44 38 480"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "5910 1014 564"
	"angles" "0 210 0"
	"mins" "-57 -112 -396"
	"maxs" "57 112 396"
	"boxmins" "-57 -112 -396"
	"boxmaxs" "57 112 396"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the shed after the bridge
{
	"classname" "env_physics_blocker"
	"origin" "6913 -4169 624"
	"mins" "-127 -162 -336"
	"maxs" "127 162 336"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "6920 -4348 608"
	"mins" "-79 -19 -352"
	"maxs" "79 19 352"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from climbing around a fenced crypt in the cemetery
{
	"classname" "env_physics_blocker"
	"origin" "8318 -4991 805"
	"mins" "-85 -43 -539"
	"maxs" "85 43 539"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "8497 -5102 768"
	"mins" "-15 -14 -576"
	"maxs" "15 14 576"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "8300 -5106 768"
	"mins" "-108 -2 -576"
	"maxs" "108 2 576"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                  OUT OF BOUNDS                  ==
; ==  Block players getting outside / under the map  ==
; =====================================================
add:
; --- Block survivors from going out of bounds under the bridge drop
{
	"classname" "env_physics_blocker"
	"origin" "6461 -3870 255"
	"mins" "-515 -2 -159"
	"maxs" "515 2 159"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "5951 -4512 255"
	"mins" "-2 -640 -159"
	"maxs" "2 640 159"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                   STUCK SPOTS                   ==
; ==  Prevent players from getting stuck in the map  ==
; =====================================================

; =====================================================
; ==                 NUISANCE CHANGES                ==
; ==      Clipping improvements, QOL map changes     ==
; =====================================================
filter:
; --- Remove 2 fallen oil barrels near the saferoom
{
	"hammerid" "1588934"
}
{
	"hammerid" "1588938"
}
; --- Remove fallen oil barrel by the shed
{
	"hammerid" "1549590"
}
; --- Remove oil barrel on top of stack by the shed after the bridge
{
	"hammerid" "1549682"
}
add:
; --- Add missing glass to vehicles
{
	"classname" "prop_dynamic"
	"origin" "4040 2520 -4"
	"angles" "1.94472 76.4921 -0.46707"
	"model" "models/props_vehicles/flatnose_truck_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "6272.23 -2176 447.952"
	"angles" "-2.17084 337.185 6.11245"
	"model" "models/props_vehicles/longnose_truck_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "6360 -2055.82 489.15"
	"angles" "0 337.5 -180"
	"model" "models/props_vehicles/cara_82hatchback_wrecked_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "6068 -4760 432"
	"angles" "2.73558 91.7952 9.18127"
	"model" "models/props_vehicles/flatnose_truck_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "6204 -4856 430"
	"angles" "0 127.779 0"
	"model" "models/props_vehicles/cara_82hatchback_wrecked_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "6222 -4454 438"
	"angles" "0 105 0"
	"model" "models/props_vehicles/cara_95sedan_wrecked_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
	"parentname" "destruction_car_phys"
	"targetname" "destruction_car_glass"
}
; --- Clipping on draped bodies by the shack
{
	"classname" "env_physics_blocker"
	"origin" "4653 3804 7"
	"mins" "-74 -50 -8"
	"maxs" "74 50 8"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on draped body by the stairs leading to the trailer drop
{
	"classname" "env_physics_blocker"
	"origin" "3663 2850 8"
	"mins" "-22 -40 -8"
	"maxs" "22 40 8"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on fridge door in broken house
{
	"classname" "env_physics_blocker"
	"origin" "3793 3451 37"
	"mins" "-28 -28 -6"
	"maxs" "28 28 6"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on draped bodies before the sewers
{
	"classname" "env_physics_blocker"
	"origin" "3249 1715 5"
	"mins" "-40.5 -46 -6"
	"maxs" "40.5 46 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "3186 1722 5"
	"mins" "-22.5 -30.5 -6"
	"maxs" "22.5 30.5 6"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Prop for ladder by sewer drop as a visual indicator
{
	"classname" "prop_dynamic"
	"origin" "3767 656 208"
	"angles" "0 0 0"
	"model" "models/props_downtown/gutter_downspout_straight02.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Block LOS under van by the sewer drop
{
	"classname" "logic_auto"
	"OnMapSpawn" "anv_mapfixes_losfix_sewer_drop_van_extra,AddOutput,mins -43 -1 -13,0,-1"
	"OnMapSpawn" "anv_mapfixes_losfix_sewer_drop_van_extra,AddOutput,maxs 43 1 13,0,-1"
	"OnMapSpawn" "anv_mapfixes_losfix_sewer_drop_van_extra,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "3890 735 8"
	"targetname" "anv_mapfixes_losfix_sewer_drop_van_extra"
}
; --- Clipping on stairs after the alarm cars to stop players getting stuck
{
	"classname" "env_physics_blocker"
	"origin" "5907 -2457 249"
	"angles" "0 45 0"
	"mins" "-6 -6 -24"
	"maxs" "6 6 24"
	"boxmins" "-6 -6 -24"
	"boxmaxs" "6 6 24"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "5981 -2462 329"
	"angles" "0 45 0"
	"mins" "-1 -1 -104.5"
	"maxs" "1 1 104.5"
	"boxmins" "-1 -1 -104.5"
	"boxmaxs" "1 1 104.5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "5983 -2464 329"
	"angles" "0 45 0"
	"mins" "-1 -2.5 -104.5"
	"maxs" "1 2.5 104.5"
	"boxmins" "-1 -2.5 -104.5"
	"boxmaxs" "1 2.5 104.5"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on wrecked car at the back end of the bridge to stop players getting stuck on the tires
{
	"classname" "env_physics_blocker"
	"origin" "6422 -2046 485"
	"angles" "0 125 0"
	"mins" "-15 -6 -6"
	"maxs" "15 6 6"
	"boxmins" "-15 -6 -6"
	"boxmaxs" "15 6 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "6399 -2108 487"
	"angles" "0 -30 0"
	"mins" "-15 -6 -6"
	"maxs" "15 6 6"
	"boxmins" "-15 -6 -6"
	"boxmaxs" "15 6 6"
	"initialstate" "1"
	"BlockType" "0"
}


; ###########  ADDITIONAL PROPS AND SPAWNS  ###########
; =====================================================
; ==                      PROPS                      ==
; ==       New props for balance and SI spawns       ==
; =====================================================
add:
; --- Highway sign on the bridge at the start
{
	"classname" "prop_dynamic"
	"origin" "5133 7235 -9"
	"angles" "0 270 0"
	"model" "models/props_highway/highway_sign_post002.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "highway_sign_lighting"
}
{
	"classname" "prop_dynamic"
	"origin" "5146 7217 287"
	"angles" "0 270 0"
	"model" "models/props_highway/highway_sign001.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "5284 7277 260"
	"angles" "0 0 0"
	"model" "models/props_urban/highway_barrel001.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Fix lighting
{
	"classname" "info_target"
	"origin" "5146 7217 287"
	"targetname" "highway_sign_lighting"
}
; --- Tree behind a fence in the open area at the start
{
	"classname" "prop_dynamic"
	"origin" "4245 6893 3"
	"angles" "0 90 0"
	"model" "models/props_foliage/urban_tree_giant02.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Tree near the hittable car by the bus drop
{
	"classname" "prop_dynamic"
	"origin" "3716 4756 6"
	"angles" "0 180 0"
	"model" "models/props_foliage/urban_tree_giant02.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Chimney on roof by trailer drop for spawns and to jump to higher roof section
{
	"classname" "prop_dynamic"
	"origin" "2915 2359 198"
	"angles" "0 0 0"
	"model" "models/props_urban/chimney007.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Extend a fence after the trailer drop
{
	"classname" "prop_dynamic"
	"origin" "2744 1372 0"
	"angles" "0 180 0"
	"model" "models/props_urban/wood_fence001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "147 172 164"
}
; --- Plywood on burned down house by the trailer drop
{
	"classname" "prop_dynamic"
	"origin" "2065 1960 32"
	"angles" "90 270 0"
	"model" "models/props_highway/plywood_01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Fridge in burned down house by the trailer drop
{
	"classname" "prop_dynamic"
	"origin" "1942 1318 32"
	"angles" "0 0 0"
	"model" "models/props_urban/fridge002.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1965 1324 80"
	"angles" "0 48.5 0"
	"model" "models/props_urban/fridge_door003.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Fence cover at the end of the street after the trailer drop
{
	"classname" "prop_dynamic"
	"origin" "3810 2014 4"
	"angles" "0 180 0"
	"model" "models/props_urban/fence_cover001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Van at the back of the sewer drop street
{
	"classname" "prop_dynamic"
	"origin" "4226 1713 -1"
	"angles" "0 165 0"
	"model" "models/props_vehicles/van.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "4226 1713 -1"
	"angles" "0 165 0"
	"model" "models/props_vehicles/van_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Block LOS under van
{
	"classname" "logic_auto"
	"OnMapSpawn" "anv_mapfixes_losfix_sewer_street_van,AddOutput,mins -1 -109 -11,0,-1"
	"OnMapSpawn" "anv_mapfixes_losfix_sewer_street_van,AddOutput,maxs 1 109 11,0,-1"
	"OnMapSpawn" "anv_mapfixes_losfix_sewer_street_van,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "4226 1714 9"
	"targetname" "anv_mapfixes_losfix_sewer_street_van"
}
; --- Manhole cover by the sewer drop
{
	"classname" "prop_dynamic"
	"origin" "4075 376 29"
	"angles" "84 334.5 0"
	"model" "models/props_street/manhole_cover.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Extend concrete block behind fence at the sewer drop
{
	"classname" "prop_dynamic"
	"origin" "4256 -240 37"
	"angles" "0 285.5 0"
	"model" "models/props_fortifications/concrete_block001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Truck and trailer on bridge by ambulance
{
	"classname" "prop_dynamic"
	"origin" "6374 -3204 434"
	"angles" "0 90 0"
	"model" "models/props_vehicles/flatnose_truck.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "53 92 39"
}
{
	"classname" "prop_dynamic"
	"origin" "6374 -3204 434"
	"angles" "0 90 0"
	"model" "models/props_vehicles/flatnose_truck_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "6374 -3482 434"
	"angles" "0 0 0"
	"model" "models/props_vehicles/semi_trailer.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Infected ladder on back of trailer
{
	"classname" "func_simpleladder"
	"origin" "1046 -9909 440"
	"angles" "0 0 0"
	"model" "*88"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Block for survivors
{
	"classname" "env_physics_blocker"
	"origin" "6374 -3108 696"
	"mins" "-52 -50 -264"
	"maxs" "52 50 264"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "6374 -3481 696"
	"mins" "-52 -267 -264"
	"maxs" "52 267 264"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Extend wall at the cemetery entrance - Lighting cannot be made to match joining incorrectly lit walls
{
	"classname" "prop_dynamic"
	"origin" "6712 -4832 96"
	"angles" "0 0 0"
	"model" "models/props_urban/gate_wall001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "6712 -4800 96"
	"angles" "0 270 0"
	"model" "models/props_urban/gate_column001_32.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping on wall
{
	"classname" "env_physics_blocker"
	"origin" "6712 -4820 528"
	"mins" "-12 -32 -432"
	"maxs" "12 32 432"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                   LADDER NERF                   ==
; ==         Nerf ladder attacks for infected        ==
; =====================================================
add:
; --- Guard rails around the sewer ladder
{
	"classname" "prop_dynamic"
	"origin" "5895 377 20"
	"angles" "0 180 0"
	"model" "models/props_c17/handrail04_medium.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "5977 406 0"
	"angles" "0 180 0"
	"model" "models/props_c17/handrail04_corner.mdl"
	"solid" "6"
	"disableshadows" "1"
}

; #############  LADDER CHANGES AND FIXES  ############
; =====================================================
; ==             LADDER ADDITIONS / FIXES            ==
; ==              Add or change ladders              ==
; =====================================================
; --- Fix the sewer ladder ending slightly before the top of the hole, causing players to fall off near the top
modify:
{
	match:
	{
		"hammerid" "1043824"
	}
	insert:
	{
		"origin" "0 0 1"
	}
}
add:
; --- Infected ladder to get to the support columns at the start, and fast climb to get on the bridge
{
	"classname" "func_simpleladder"
	"origin" "9394 10937 -8"
	"angles" "0 180 0"
	"model" "*372"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder behind the fence at the start in the open area
{
	"classname" "func_simpleladder"
	"origin" "8857 9854 -16"
	"angles" "0 180 0"
	"model" "*356"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get on the house behind the trailer
{
	"classname" "func_simpleladder"
	"origin" "-283 -2397 -76"
	"angles" "0 0 0"
	"model" "*5"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladders to climb over the fences around the sewer drop
{
	"classname" "func_simpleladder"
	"origin" "-4096 6611 -21"
	"angles" "0 270 0"
	"model" "*363"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-369 -1649 6"
	"angles" "0 0 0"
	"model" "*374"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}


; #######  MISCELLANEOUS / MAP SPECIFIC CHANGES  ######
; =====================================================
; ==                 CEMETERY PATHING                ==
; ==      Change route through cemetery section      ==
; =====================================================
; --- Modify names of entities so that they get spawned on the default versus path (Path A)
modify:
; --- Crypt walls at the start of the path
{
	match:
	{
		"hammerid" "1058418"
	}
	replace:
	{
		"targetname" "Path_A_clip"
	}
}
{
	match:
	{
		"hammerid" "1058416"
	}
	replace:
	{
		"targetname" "Path_A_navblock"
		"affectsFlow" "0"
	}
}
{
	match:
	{
		"hammerid" "1058408"
	}
	replace:
	{
		"targetname" "Path_A_fence"
	}
}
{
	match:
	{
		"hammerid" "1058412"
	}
	replace:
	{
		"targetname" "Path_A_fence"
	}
}
; --- Fence by the tree at the first corner
{
	match:
	{
		"hammerid" "1058629"
	}
	replace:
	{
		"targetname" "Path_A_clip"
	}
}
{
	match:
	{
		"hammerid" "1058619"
	}
	replace:
	{
		"targetname" "Path_A_navblock"
		"affectsFlow" "0"
	}
}
{
	match:
	{
		"hammerid" "1058625"
	}
	replace:
	{
		"targetname" "Path_A_fence"
	}
}
{
	match:
	{
		"hammerid" "1058621"
	}
	replace:
	{
		"targetname" "Path_A_fence"
	}
}
; --- Infected ladders to climb over blocked route
add:
{
	"classname" "func_simpleladder"
	"origin" "-476 1448 -84"
	"angles" "0 0 0"
	"model" "*268"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-386 1472 -84"
	"angles" "0 0 0"
	"model" "*283"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}

; =====================================================
; ==                  SAFEROOM ITEMS                 ==
; ==    Saferoom item spawns - ammo piles, weapons   ==
; =====================================================
add:
; ---add chrome and silenced smg in saferoom
{
	"classname" "weapon_spawn"
	"origin" "6286 8579 0"
	"angles" "0 90 -90"
	"weapon_selection" "weapon_shotgun_chrome"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
{
	"classname" "weapon_spawn"
	"origin" "6288 8634 1"
	"angles" "0 90 -90"
	"weapon_selection" "weapon_smg_silenced"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}